Subject: [Rfc-markdown] 1.5.3: Clean up indented quotes, asides, and blockquotes

From: Carsten Bormann <[email-masked]>
Date: Fri, 23 Jul 2021 22:50:22 +0200

While moving yet another draft to markdown, I noticed a little problem with xml2rfc’s handling of v2 list syntax:

https://trac.ietf.org/trac/xml2rfc/ticket/658#ticket
"#658 (sourcecode in lists creates invalid XML in v2v3) – xml2rfc”

1.5.3 works around this specific problem by using v3 syntax instead.

Note that RFCXMLv3 weirdnesses such as not allowing sourcecode in
asides will need additional workarounds (e.g., by interspersing a
figure when that nesting is detected).

While this was being done, I also added a few
default ALDs to make life easier:

{:quote: gi="blockquote"}
{:aside: gi="aside"}
{:markers: sourcecode-markers="true"}
{:unnumbered: numbered="false"}
{:vspace: vspace="0"}
{:removeinrfc: removeinrfc="true"}
{:notoc: toc="exclude"}

For instance, the new ALDs mean that you now can say

# Acknowledgements
{:unnumbered}

Instead of

# Acknowledgements
{: numbered=“false”}

The two changes together now allow you to do

{:aside}
> This approach avoids having to put in XML syntax,
> which always is a little more to type and to make
> mistakes in.

(➔) Use {:aside} or {:quote} before a markdown blockqoute to get an RFCXML aside or blockquote (default for a markdown blockquote continues to be just indented paragraph, not the more elaborate v3 “blockquote” mechanism that almost, but not entirely looks like “aside”).

Of course, the old variant based on using raw XML still works:

<aside markdown=“1”>
This approach avoids having to put in XML syntax,
which always is a little more to type and to make
mistakes in.
</aside>

Less than 36 hours before the I-D repo reopens for IETF 111…
Happy I-D writing.

Grüße, Carsten